VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.2#0"; "COMCTL32.OCX"
Begin VB.Form Form1 
   Caption         =   "frmNotiz"
   ClientHeight    =   3915
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3210
   FillColor       =   &H00C0FFFF&
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   Picture         =   "Form1.frx":030A
   ScaleHeight     =   3915
   ScaleWidth      =   3210
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Abbrechen"
      Height          =   375
      Left            =   1080
      TabIndex        =   3
      Top             =   3480
      Width           =   975
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   0
      TabIndex        =   2
      Top             =   3480
      Width           =   975
   End
   Begin VB.CommandButton cmdClear 
      BackColor       =   &H00C0FFFF&
      Caption         =   "Lschen"
      Height          =   375
      Left            =   2280
      MaskColor       =   &H00C0FFFF&
      TabIndex        =   4
      Top             =   3480
      Width           =   855
   End
   Begin VB.TextBox Text 
      BackColor       =   &H00C0FFFF&
      Height          =   2775
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Top             =   480
      Width           =   2895
   End
   Begin ComctlLib.TabStrip TabStrip1 
      Height          =   3375
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   3135
      _ExtentX        =   5530
      _ExtentY        =   5953
      TabWidthStyle   =   2
      ShowTips        =   0   'False
      TabFixedWidth   =   529
      TabFixedHeight  =   526
      _Version        =   327682
      BeginProperty Tabs {0713E432-850A-101B-AFC0-4210102A8DA7} 
         NumTabs         =   10
         BeginProperty Tab1 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "0"
            Object.Tag             =   "0"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab2 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "1"
            Object.Tag             =   "1"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab3 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "2"
            Object.Tag             =   "2"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab4 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "3"
            Object.Tag             =   "3"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab5 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "4"
            Object.Tag             =   "4"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab6 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "5"
            Object.Tag             =   "5"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab7 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "6"
            Object.Tag             =   "6"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab8 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "7"
            Object.Tag             =   "7"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab9 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "8"
            Object.Tag             =   "8"
            ImageVarType    =   2
         EndProperty
         BeginProperty Tab10 {0713F341-850A-101B-AFC0-4210102A8DA7} 
            Caption         =   "9"
            Object.Tag             =   "9"
            ImageVarType    =   2
         EndProperty
      EndProperty
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim notizPath As String
Dim notizen(10) As String
Dim oldIdx As Integer
Dim cancelFlag As Boolean

Private Sub cmdClear_Click()
    notizen(oldIdx) = ""
    Text.Text = ""
End Sub

Private Sub cmdOK_Click()
    Unload Form1
End Sub

Private Sub cmdCancel_Click()
    cancelFlag = True
    Unload Form1
End Sub

Private Sub Form_Load()
    Dim winDir As String
    Dim line As String
    Dim idx As Integer
    
    Dim reg As New Registry
    Dim printer As String
    printer = reg.getCurrentPrinter
    
    On Error Resume Next
    
    cancelFlag = False
    oldIdx = 1
    winDir = Environ("winDir")
    notizPath = GetSetting("mUtil", "Notiz", "dataPath", winDir & "\Anwendungsdaten\mUtil\notiz.txt")
    
    Open notizPath For Input As #1
    If Err.Number <> 0 Then
        MsgBox "Datei nicht gefunden"
        Exit Sub
    End If
    
    idx = 1
    While idx <= 10 And Err.Number = 0
        line = ""
        While line <> vbFormFeed And Err.Number = 0
            Input #1, line
            If line <> vbFormFeed And Err.Number = 0 Then
                notizen(idx) = notizen(idx) & line
            End If
        Wend
        idx = idx + 1
    Wend
    
    Close #1
    
    Text = notizen(1)
    
End Sub


Private Sub Form_Unload(Cancel As Integer)
    Dim line As String
    Dim idx As Integer
    
    On Error Resume Next
    
    If cancelFlag Then
        Exit Sub
    End If
        
    notizen(oldIdx) = Text.Text
    
    Open notizPath For Output As #1
   
    If Err.Number <> 0 Then
        MsgBox "Die Notizen knnen nicht geschrieben werden", vbCritical, "Fehler"
        Exit Sub
    End If

    For idx = 1 To 10
        Write #1, notizen(idx)
        Write #1, vbFormFeed
    Next idx
    
    Close #1

End Sub

Private Sub TabStrip1_Click()
    Dim idx As Integer
    notizen(oldIdx) = Text.Text
    idx = Val(TabStrip1.SelectedItem) + 1
    Text.Text = notizen(idx)
    oldIdx = idx
End Sub

Private Sub Text_Change()
TabStrip1.TabWidthStyle
End Sub
